{
  "AllowedHosts": "*",
  "CER_FULL_PATH": "./Data/gateway.cer",
  "Logging": {
    "LogLevel": {
      "Default": "Warning"
    }
  },
  "AzureAppServiceLogging": false,
  "LoggingMinimumLevel": "Info",
  "EFLoggingMinimumLevel": "Warning",
  "DbProvider": "SqlServer",
  "IdentityConnectionString": "",
  "IdentityServerConnectionString": "",
  "StoredProcedureSchemaPrefix": "dbo",
  "UiUrl": "http://localhost:5000",
  "AuthorityUrl": "https://localhost:5003",
  "AdminUIClientId": "admin_ui",
  "AdminUICustomScopeName": "admin_api",
  "AdminUIProfileCustomScopeName": "admin_ui_profile",
  "AdminUIClientSecret": "dev",
  "AdminUIJwtTypes": "All",
  "RequireHttpsMetadata": false,
  "LicenseKey": "",
  "DisableBootstrap": false,
  "ServeUi": true,
  "PasswordPolicy": {
    "RequireDigit": true,
    "RequireLowercase": true,
    "RequireNonAlphanumeric": true,
    "RequireUppercase": true,
    "RequiredLength": 6,
    "RequiredUniqueChars": 1
  },
  "UsernamePolicy": {
    "AllowedUserNameCharacters": "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-._@+",
    "RequireUniqueEmail": false
  },
  "ReferenceTokens": {
    "UseReferenceTokens": false,
    "Secret": ""
  },
  "FeatureFlags": {
    "DefaultUserValidation": true,
    "AddUserPassword": false,
    "EnableEnforcerAuthorization": false,
    "EnableSharedScopes": false,
    "EnableSessionManagement": true,
    "EnableDynamicAuthentication": "Duende"
  },
  //  "AuditRecordsConnectionString": "",
  //  "DataProtectionConnectionString": "",
  //  "OperationalConnectionString": "",
  //  "ConfigurationStoreSchemaName": "guest",   
  //  "OperationalStoreSchemaName": "guest",
  //  "WebhookClientId": "",
  //  "WebhookClientSecret": "",
  //  "PasswordResetEndpoint": "",
  //  "RegistrationConfirmationEndpoint": "",
  //  "ResetMFAEndpoint": "",
  "DataProtection": {
    // "ApplicationName": "Rsk.AdminUI",
    // "Persistence": {
    //   "Type": "Database",
    //   "DbProvider": "PostgreSql"
    // },
    // "Protection": {
    //   "Type": "KeyVault",
    //   "CertificateType": "Certificate",
    //   "KeyIdentifier": "TestingCert",
    //   "Vault": "https://adminuitestvault.vault.azure.net/5e275093-ff6d-402b-a8c6-fc53579eeeaa",
    //   "ClientId": "4bb0363a-53e0-4e53-9543-3a993a5a76f6",
    //   "Secret": "g5j8Q~bUN3~F~xnrTWS1w5qhmqhB5Ftxi.KJic7Q"
    // }
    // "Persistence": {
    //   "Type": "Filesystem",
    //   "Location": ""
    // },

    // "Persistence": {
    //   "Type": "Database",
    //   "DbProvider": "SqlServer",
    //   "DataProtectionConnectionString": ""
    // },

    // "Protection": {
    //   "Type": "KeyVault",
    //   "KeyIdentifier": "",
    //   "ClientId": "",
    //   "Secret": ""
    // }

    // "Protection": {
    //   "Type": "Certificate",
    //   "CertificateType": "Thumbprint",
    //   "Thumbprint": ""
    // }

    // "Protection": {
    //   "Type": "Certificate",
    //   "CertificateType": "File",
    //   "Location": "",
    //   "Password": ""
    // }
  }
}